org.apache.struts2.jasper.compiler

## Class JspConfig.JspProperty

- java.lang.Object
- - org.apache.struts2.jasper.compiler.JspConfig.JspProperty

- Enclosing class:
    JspConfig

      public static class JspConfig.JspProperty
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspConfig.JspProperty(String isXml, String elIgnored, String scriptingInvalid, String pageEncoding, Vector includePrelude, Vector includeCoda, String deferedSyntaxAllowedAsLiteral, String trimDirectiveWhitespaces)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vector` | `getIncludeCoda()`
    `Vector` | `getIncludePrelude()`
    `String` | `getPageEncoding()`
    `String` | `isDeferedSyntaxAllowedAsLiteral()`
    `String` | `isELIgnored()`
    `String` | `isScriptingInvalid()`
    `String` | `isTrimDirectiveWhitespaces()`
    `String` | `isXml()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspConfig.JspProperty

          public JspConfig.JspProperty(String isXml,
                               String elIgnored,
                               String scriptingInvalid,
                               String pageEncoding,
                               Vector includePrelude,
                               Vector includeCoda,
                               String deferedSyntaxAllowedAsLiteral,
                               String trimDirectiveWhitespaces)

  - ### Method Detail

    - #### isXml

          public String isXml()

    - #### isELIgnored

          public String isELIgnored()

    - #### isScriptingInvalid

          public String isScriptingInvalid()

    - #### getPageEncoding

          public String getPageEncoding()

    - #### getIncludePrelude

          public Vector getIncludePrelude()

    - #### getIncludeCoda

          public Vector getIncludeCoda()

    - #### isDeferedSyntaxAllowedAsLiteral

          public String isDeferedSyntaxAllowedAsLiteral()

    - #### isTrimDirectiveWhitespaces

          public String isTrimDirectiveWhitespaces()

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.